@import "variables";
@import "vendor/bootstrap/bootstrap/variables";
@import "vendor/bootstrap/bootstrap/mixins";

$top-row-badge-color: #fa6f35;
$bottom-row-badge-color: #fba338;
$hr-border-color: #eee;
$refresh-purple: #7759c2;

body {
  overflow-x: hidden;
}

.secondary-release-column {
  width: 100%;
  padding: 0 80px;

  .secondary-column-feature {
    margin: 60px auto 90px;
    max-width: 800px;

    &:first-child {
      margin-top: 0;
    }

    ul, ol {
      margin-bottom: 40px;
    }

    @media all and (max-width: $screen-lg-min) {
      padding: 0 15px;
    }

    @media all and (max-width: $screen-sm-min) {
      margin: 0 auto 45px;
    }
  }

  &:last-child {
    border-left: 1px solid $hr-border-color;

    @media all and (max-width: $screen-lg-min) {
      border-left: 0;
    }
  }

  @media all and (max-width: $screen-lg-min) {
    padding: 0;
  }
}

.column-layout {
  column-count: 2;
  column-width: 50%;
  column-gap: 100px;
  padding: 0 100px;

  .column-item {
    display: inline-block;
    margin: 0 0 1em;
    max-width: 800px;
    width: 100%;
    margin-bottom: 30px;

    hr {
      margin-top: 80px;
    }

    @media all and (max-width: $screen-lg-min) {
      margin: auto;
      margin-bottom: 0;
      padding: 0 15px;
    }
  }

  @media all and (max-width: $screen-lg-min) {
    padding: 0;
    column-count: 1;
    column-width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
  }

}

@mixin badge($badge-color) {
  border: 1px solid rgba($color-white, .2);
  background-color: transparent;
  color: $color-white-alt;
  display: grid;
  line-height: 22px;
  border-radius: 3px;
  font-size: 11px;
  text-transform: uppercase;
  text-align: center;
  margin-right: 4px;
  margin-bottom: 4px;
  letter-spacing: .4px;

  &.available {
    border: 1px solid $badge-color;
    background-color: $badge-color;
    color: $color-white;
  }

  .badge-container.dark & {
    color: $color-gray;
    border-color: $color-gray-medium;
    background-color: $color-white-rad-event;

    &.available {
      color: $color-white;
      background-color: $badge-color;
      border-color: $badge-color;
    }
  }
}

.badge-with-tiers {
  display: flex;
  align-items: center;

  .stage-badge {
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 16px;

    svg {
      height: 100%;
      fill: $color-primary;
    }
  }
}

.content {
  overflow-x: hidden;

  hr {
    width: 100%;
    margin: 40px auto;
  }
}

.badge-container {
  margin: 16px 0;
  line-height: 1em;

  a {
    display: inline-block;
    min-width: 80px;
  }
}

.text-center {
  text-align: center;
}

.cta {
  padding-bottom: 70px;
}

.blog {
  .wrapper {
    max-width: none;

    &.body {
      padding-left: 0;
      padding-right: 0;
    }
  }

  &.article {
    @media (max-width: $screen-xs) {
      .content {
        font-size: 18px;
      }
    }

    @media (min-width: $screen-sm-min) {
      .features-released {
        font-size: 44px;
      }
    }

    h1 {
      font-weight: 300;
      font-size: 5vh;
      line-height: 1.25;
      max-width: 1100px;
      margin-bottom: 30px;
      overflow-wrap: break-word;

      @media (max-width: $screen-md-max) {
        font-size: 5vh;
      }

      @media (max-width: $screen-xs-max) {
        font-size: 6vw;
      }

      @media (max-width: $screen-xs) {
        font-size: 32px;
        font-weight: 500;
      }
    }

    h2 {
      font-weight: normal;
      line-height: 1.2;
      overflow-wrap: break-word;

      @media (min-width: $screen-sm-min) {
        font-size: 35px;
      }

      a:hover {
        text-decoration: none;
      }
    }

    h3 {
      font-weight: normal;
      line-height: 1.2;
      overflow-wrap: break-word;

      @media (min-width: $screen-sm-min) {
        font-size: 33px;
      }

      a:hover {
        text-decoration: none;
      }
    }

    .overlay {
      background: linear-gradient(to top, rgba($color-white, 1) 15%, transparent 40%);
      height: 100%;
      display: flex;

      @media (max-width: $screen-xs-max) {
        background: linear-gradient(to top, rgba($color-white, 1) 25%, transparent 55%);
      }
    }

    .overlay-dark {
      background: linear-gradient(to top, rgba($color-dark, .7) 1%, rgba($color-dark, .3) 35%, transparent 60%);
      height: 100%;
      display: flex;

      @media (max-width: $screen-xs-max) {
        background: linear-gradient(to top, rgba($color-dark, .7) 1%, rgba($color-dark, .3) 25%, transparent 55%);
      }
    }

    .header {
      color: $color-dark;
      text-align: center;
      align-self: center;
    }

    .dark-header {
      color: $color-white;
    }

    .light-header {
      color: $color-dark;
    }

    .author a,
    .author-twitter i,
    .author-gitlab i {
      color: $color-dark;
    }

    .author-twitter i:hover {
      color: $color-twitter;
    }

    .author.dark-header a,
    .author-twitter.dark-header i,
    .author-gitlab.dark-header i {
      color: $color-white;
    }

    .author.dark-header a:hover {
      color: $color-primary-alt;
    }

    .author-twitter.dark-header i:hover {
      color: $color-twitter;
    }

    .author-gitlab.dark-header i:hover {
      color: $color-secondary;
    }

    .comments,
    .signup {
      max-width: 900px;
    }

    kbd {
      background-color: $color-gray-features;
      border-radius: 4px;
      box-shadow: none;
      font-size: 1em;
      overflow-wrap: break-word;
    }
  }

  .pager {
    max-width: 1300px;
    margin: 0 auto;
  }
}

.release-number {
  color: $color-black;
  font-size: 22vh;
  line-height: 1.2;

  @media (max-width: $screen-xs-max) {
    font-size: 30vw;
  }

  @media (max-width: $screen-xs) {
    font-size: 35vw;
  }

  .release-number-image {
    width: 40vh;
    padding-bottom: 50px;
  }
}

.release-number-dark {
  color: $color-dark;
}

.description {
  display: none;
}

.release-post-section {
  max-width: 800px;
  padding: 0 16px;
  margin: 0 auto 90px;

  @media (max-width: $screen-xs) {
    margin: 0 auto 45px;
  }

  p{
    font-size: 1.6rem;
  }
}

.btn-red {
  margin-bottom: 5px;
}

.header-link {
  padding: 0 12px;
  position: absolute;
  margin-left: -1em;
  margin-top: -.1em;

  i {
    font-size: .5em;
    opacity: 0;
    color: $color-dark;
  }

  &:hover {
    color: $color-primary-alt;
    text-decoration: none;
  }
}

h2,
h3,
.header-link {
  &:hover {
    i {
      opacity: 1;
    }
  }
}

.gray-section {
  background-color: $body-bg;
  border-top: 1px solid $landing-organization-color;
  border-bottom: 1px solid $landing-organization-color;
  padding: 20px 0;
}

// sass-lint:disable no-important
@media (min-width: $screen-lg-min) {
  h2.intro-header {
    font-size: 33px !important;
    margin-top: 20px !important;
  }

  h3.intro-header-h3 {
    font-size: 28px !important;
    margin-top: 20px !important;
  }
}
// sass-lint:enable no-important

.mvp {
  text-align: center;
  margin-bottom: 90px;

  .release-post-section {
    margin-bottom: 0;
    @media (min-width: $screen-lg-min) {
      padding-left:9rem;
    }
  }

  img {
    height: 200px;
    width: auto;
    margin: 0;

    &.mvp-gift {
      height: 400px;
    }
  }

  @media (min-width: $screen-lg-min) {
    h2 {
      width: 150%;
      margin-left: -25%;
    }
  }
}

.top-row,
.bottom-row {
  display: table;
}

.badge-container-type {
  color: $color-gray-dark;
  font-size: 90%;
  padding-bottom: 4px;
}

.feature-gallery .badge-container-type {
  color: #d9ccff;
}

.badge-container .top-row {
  margin-bottom: 4px;
}

.top-row .badge {
  @include badge($top-row-badge-color);
}

.bottom-row .badge {
  @include badge($bottom-row-badge-color);
  margin-bottom: 0;
}

.feature-gallery {
  .badge-container a {
    min-width: unset;
  }

  .bottom-row,
  .top-row {
    display: flex;
    flex-wrap: wrap;
  }

  .badge {
    margin-bottom: 4px;
    width: 72px;
    display: block;
  }
}

.release-row {
  @include make-row();
  max-width: 1300px;
  margin: 60px auto 90px;

  @media (max-width: $screen-xs) {
    margin: 0 auto 45px;
  }

  @media (min-width: $screen-lg-min) {
    display: flex;
    max-width: 1600px;
  }

  .column {
    @include make-lg-column(6);
    padding: 0 45px;
    align-self: center;
    max-width: 800px;

    @media (max-width: $screen-md-max) {
      padding: 0 15px;
      margin: auto;
    }
  }

  @media (min-width: $screen-lg-min) {
    &.divider .column {
      margin-top: 50px;
      font-size: 18px;

      h3:first-child {
        margin-top: 0;
      }
    }

    &.divider .column:nth-child(1) {
      padding-right: 90px;
    }

    &.divider .column:nth-child(2n+2) {
      border-left: 1px solid $hr-border;
      padding-left: 90px;
    }
  }

  &.image-left {
    .image-column {
      @include make-lg-column-pull(6);
    }

    .text-column {
      @include make-lg-column-push(6);
    }
  }

  &.align-top .column {
    align-self: flex-start;
  }
}

.reference-buttons {
  .btn-default {
    border-color: $color-gray-extra-light;
    color: $text-color-light;
    margin-bottom: 3px;

    &:hover {
      transition: all .15s ease;
    }
  }
}

.ref-buttons-second-features {
  margin-top: 10px;
  margin-bottom: 20px;

  .btn-xs {
    font-size: 14px;
  }
}

.ref-buttons-tertiary-features {
  margin-top: 26px;
  margin-bottom: 20px;

  .btn-xs {
    font-size: 14px;
  }
}

.product-icon {
  display: inline-flex;
  align-self: center;

  svg {
    height: 1em;
    width: 1em;
    fill: $text-color-light;
    fill-rule: nonzero;
    margin-top: 4px;
    margin-right: 5px;
  }
}

.product-icon-xm {
  display: inline-flex;
  align-self: center;

  svg {
    height: 1em;
    width: 1em;
    fill: $text-color-light;
    fill-rule: nonzero;
    margin-top: 3px;
    margin-right: 3px;
  }
}

.zero-bottom-margin {
  margin-bottom: 0;
}

.changelog {
  margin: 70px 0;
}

.release-header {
  background-color: $color-white;

  .release-post-section {
    margin-bottom: 0;
  }

  h1 {
    .blog.article & {
      font-family: "Inter", sans-serif;
      font-weight: 600;
      font-size: 3.2rem;
      text-align: left;
      margin: 0;
      @media (min-width: $screen-xs) {
        font-size: 4.5rem;
      }
    }
  }
}

// sass-lint:disable no-important
.release-body {
  font-family: "Inter", sans-serif;

  ul li,
  p,
  a {
    font-size: 1.6rem;
  }

  .gray-section,
  .purple-section {
    border: 0;
    background-color: $purple-section-bg;
    padding: 6.4rem 0;
    position: relative;
  }

  .gray-section:not(.last-section){
    &:before{
      content: "";
      display: block;
      position: absolute;
      height: 100%;
      background-color: $purple-section-bg;
      width: 200vw;
      left: 0;
      top: 0;
      transform: translateX(-50%);
    }

    div {
      position: relative;
    }
  }

  .mvp {
    text-align: left;

    p {
      font-size: 1.6rem;
    }

    img:first-of-type {
      display: none;
    }

    h2:before {
      display: none;
    }
  }

  &.blog.article {
    .wrapper {
      padding-top: 1.2rem;
    }

    .overlay {
      background: none;
    }

    .overlay-dark {
      margin-top: auto;
      background: transparent;
    }

    .dark-header a {
      color: $color-dark;
    }

    h2,
    h2 a,
    h2 p {
      font-weight: 600;
      font-size: 3.2rem;
      margin: 0 auto;
      text-align: left;
      @media (min-width: $screen-xs) {
        font-size: 4.5rem;
      }
    }

    h3,
    h3 a,
    h3 p {
      margin: 0 auto;
      text-align: left;
      font-size: 2.3rem;
      font-weight: 600;
    }

    h2.primary-feature {
      font-size: 2.3rem !important;

      a,
      p {
        font-size: 2.3rem !important;
        margin-bottom: 0;
      }
    }

    .cover {
      min-height: 74.2vw;
      @media (min-width: 750px) {
        min-height: 400px;
      }
    }
  }

  #primary-features {
    font-size: 1.6rem;
    max-width: 800px;
    padding: 0 16px;
    margin: 0 auto 90px;

    p {
      font-size: 1.6rem;
    }

    .release-row {
      @media (min-width: $screen-lg) {
        margin-left: -3rem;

        .column {
          padding: 0 0 0 3rem;
        }
      }
    }

    h2,
    h2 a,
    h2 p {
      font-size: 2.3rem !important;
      margin-bottom: 0;
      @media (min-width: $screen-lg) {
        width: 200%;
      }
    }
  }

  .release-meta-info {
    padding: 4.8rem 0 2.4rem 0px;
    font-weight: 400;
    text-transform: uppercase;
    font-size: 1.4rem;

    .date,
    .author,
    .author a {
      font-weight: inherit;
      font-size: inherit;
    }
  }

  .release-post-section {
    div.release-post-section {
      padding: 0;
      margin-bottom: 3.2rem;
    }
  }

  .release-row.image-left {
    .column.text-column,
    .column.image-column {
      left: auto;
      right: auto;
    }
  }

  #secondary-features {
    @media (min-width: $screen-lg) {
      padding-top: 3rem;
    }

    h3,
    h3 a,
    h3 p {
      font-size: 2.3rem !important;
      font-weight: 600;
      margin-bottom: 0;
    }

    .release-row {
      display: block;
    }

    p {
      font-size: 1.6rem;
    }
  }

  #intro {
    p,
    a,
    ul {
      font-size: 2.3rem;
    }
  }

  #secondary-features h2:first-of-type,
  h2.features-released,
  #tertiary h3:first-of-type,
  #deprecations h2,
  #removals h2,
  #special-announcements h2,
  #upgrade-warning h2,
  h3.release-post-header, h3#changelog.release-post-header, .extras h2 {
    font-weight: 600;
    font-size: 3.2rem !important;
    margin: 0 auto;
    text-align: left;
    position: relative;

    p,
    a {
      font-size: inherit !important;
      margin-top: 0;
    }

    &:after {
      content: "";
      display: block;
      height: 0.4rem;
      width: 9rem;
      background-image: url("/images/heading-gradient.png");
      background-position: center;
      background-repeat: no-repeat;
      position: absolute;
      top: 5rem;
      left: 0;
    }
    @media (min-width: $screen-xs) {
      font-size: 4.5rem !important;
    }
  }

  hr {
    display: none;
  }

  .last-section {
    background-color: transparent;

    h3:not(.release-post-header),
    h3:not(.release-post-header) a,
    h3:not(.release-post-header) p {
      font-weight: 600;
      font-size: 3.2rem;
      margin: 0 auto;
      text-align: left;
      @media (min-width: $screen-xs) {
        font-size: 3.2rem;
      }
    }
  }

  #primary-features,
  .last-section {

    .release-row {
      @media (min-width: $screen-lg) {
        margin-left: -3rem;

        .column {
          padding: 0 0 0 3rem;
        }
      }
    }
  }

  .release-section--0-bottom {
    margin-bottom: 0;
  }

  .purple-section .signup {
    background-color: transparent;

    .newsletter-preamble {
      font-weight: 600;
      font-size: 3.2rem;
      width: 100%;
      margin: 0 auto;
      text-align: left;
      @media (min-width: $screen-xs) {
        font-size: 3.2rem;
      }
    }

    .newsletter-form {
      text-align: left;
      margin: 0 !important;
    }

    .newsletter-form .mktoForm {
      margin-left: 0;
    }

    .newsletter-form .mktoButton {
      background-color: $color-dark;
      border: 1px solid $color-dark !important;
      transition: background-color 0.2s ease-in-out;

      &:hover,
      &:active,
      &:focus {
        background-color: $color-white !important;
        color: $color-dark !important;
      }
    }

    .mktoForm label {
      color: $color-dark;
      font-size: 1.6rem;
    }
  }

  .gitlab-trial,
  .gitlab-trial h2 {
    text-align: left;

    p,
    a {
      font-size: 2.3rem;
    }
  }

  .pager li {
    @media (max-width: $screen-sm) {
      width: 50%;
    }
  }

  .pager li > a,
  .pager li > span {
    border: 0;
    color: $color-dark !important;
    font-weight: 600;
    text-align: left;
    font-size: 1.8rem;

    &:hover,
    &:focus,
    &:active {
      background-color: transparent;
    }

    .adjacent_post_title {
      font-size: inherit;
      text-align: inherit;
    }
  }

  .btn.btn-red.webcast-button,
  .btn.cta-btn.orange {
    background-color: $color-dark;
    border: 1px solid $color-dark !important;
    transition: background-color 0.2s ease-in-out;
    font-weight: 600;
    font-size: 1.8rem;
    line-height: 2rem;
    padding: 11px 16px;

    &:hover,
    &:active,
    &:focus {
      background-color: $color-white !important;
      color: $color-dark !important;
    }
  }

  #tertiary,
  #deprecations,
  #removals {
    h3,
    h3 a,
    h3 p {
      font-size: 2.3rem !important;
      font-weight: 600;
    }
  }

  // sass-lint:enable no-important
  #removals {
    @media (min-width: $screen-xs) {
      padding-top: 3rem;
    }
  }

  .release-row {
    margin-top: 24px;

    .column{
      align-self: flex-start;
    }
  }

  .release-content-column {
    display: block;
    max-width: 1170px;
    margin: 0 auto;
    @media (min-width: $screen-md) {
      display: flex;
      justify-content: space-between;
    }

    .content {
      overflow-x: visible;
    }
  }

  .social--side-bar {
    display: none;
    width: 25%;
    height: 25vh;
    min-height: 200px;
    overflow: auto;
    position: sticky;
    top: 5%;
    padding-top: 8.6rem;
    @media (min-width: $screen-md) {
      display: block;
    }
    font-size: 23px;
    font-weight: 600;
    line-height: 32px;
    letter-spacing: 0px;
    text-align: left;

    .share-butons {
      margin-top: 24px;
    }

  }

  .release-bottom {
    background-image: url("/images/release-bottom-gradient.png");
    background-position: bottom;
    background-color: #FFF;
    background-repeat: no-repeat;
    background-size: 100% auto;
    padding: 4.8rem 0;
   
    @media (min-width: $screen-md) {
      padding: 6.4rem 0;
    }

    .release-row {
      border-top: 0;
      margin-top: 0;
    }

    .column-bordered {
      margin-bottom: 40px;
      @media (min-width: $screen-md) {
        margin-bottom: 0;
        border-right: solid 2px #74717A;
      }

      div {
        background: transparent;
        padding: 0;
      }
    }

    .gitlab-trial {
      text-align: left;

      h2 {
        margin-bottom: 24px;
      }
    }

    // sass-lint:disable no-important
    p, a {
      margin-top: 24px;
      font-size: 23px!important;
    }
  }

  .secondary-release-column:last-child {
    border: 0;
  }

  .text-column,.column {
    p:first-of-type {
      margin-top: 0!important;
    }
  }

  .release-column-w-border{
    h3{
      padding-bottom: 32px;
      border-bottom: solid 1px #A2A1A6;
      margin-bottom: 24px!important;
    }
  }

  .header-link {
    margin-top: 0.3em!important;

    .fas.fa-link {
      position: absolute;
      font-size: 0.7em;
      top: 0;
    }
  }

  .extras h2 {
    margin-bottom: 3.2rem!important;
    z-index: 1;
  }

  // sass-lint:enable no-important
  .reference-buttons .btn-default {
    border-radius:20px;
    border-color:#F2F1F5;
    color: $refresh-purple;
    font-size: 12px;
    line-height: 20px;
    font-weight: 400;
    padding: 3px 16px;
    margin-bottom: 0;

    svg {
      fill: #171321;
    }
  }

  .top-row .badge.available,.badge-container.dark .top-row .badge.available {
    background-color: #EEE7FD;
    border-color: #EEE7FD;
    color: $color-black;
  }

  .badge-container.dark .bottom-row .badge.available,.bottom-row .badge.available {
    background-color: #F6F3FE;
    border-color: #F6F3FE;
    color: $color-black;
  }

  .stage-badge {
    height: 28px;
    margin-left: 15px;
    margin-right: 0;

    svg {
      fill: $color-charcoal;
    }
  }

  #questions {
    font-family: "Inter", sans-serif;
    font-weight: 600;
    font-size: 3.2rem;
    text-align: left;
    margin-bottom: 24px;

    @media (min-width: $screen-xs) {
      font-size: 4.5rem;
    }
  }

  .video_container {
    margin-top: 20px;
  }

  h1,h2,h3 {
    position: relative;

    p {
      display: inline;
    }
  }


  .cover-desktop, .cover-mobile {
    display: none;
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;

    @media (min-width: 750px) {
      display: block;
    }
  }

  .cover-mobile{
    display: block;
    @media (min-width: 750px) {
      display: none;
    }
  }
}
